PharFileInfo::decompress
PharFileInfo::getCRC32
PharFileInfo
PHP Manual

# PharFileInfo::delMetadata

Deletes the metadata of the entry

### Description

public bool PharFileInfo::delMetadata ( void )

Deletes the metadata of the entry, if any.

### Parameters

No parameters.

### Return Values

Returns `TRUE` if successful, `FALSE` if the entry had no metadata. As with all functionality that modifies the contents of a phar, the phar.readonly INI variable must be off in order to succeed if the file is within a Phar archive. Files within PharData archives do not have this restriction.

### Errors/Exceptions

Throws PharException if errors occurred while flushing changes to disk, and BadMethodCallException if write access is disabled.

### Examples

Example #1 A PharFileInfo::delMetaData example

`<?php
try {
$a = new Phar('myphar.phar');
$a['hi'] = 'hi';
var_dump($a['hi']->delMetadata());
$a['hi']->setMetadata('there');
var_dump($a['hi']->delMetadata());
var_dump($a['hi']->delMetadata());
} catch (Exception $e) {
// handle errors
}
?>`

The above example will output:

    bool(false)
    bool(true)
    bool(false)

### See Also

- PharFileInfo::setMetadata
- PharFileInfo::hasMetadata
- PharFileInfo::getMetadata
- Phar::setMetadata
- Phar::hasMetadata
- Phar::getMetadata